﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Taschenrechner
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        double zahl = 0.0;
        double vorherigeZahl = 0.0;
        int stelleNachKomma = 0;
        enum Operation { Keine, Plus, Minus, Mal, Geteilt}
        Operation operation = Operation.Keine;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Button[] buttons = { button0, button1, button2, button3, button4, button5, button6, button7, button8, button9 };

            int z = 0;
            for (int i = 0; i < buttons.Length; i++)
            {
                if(sender == buttons[i])
                {
                    z = i;
                    break;
                }
            }

            if (stelleNachKomma == 0)
            {
                zahl = 10.0 * zahl + z;
            }
            else
            {
                zahl += z * Math.Pow(10.0, -stelleNachKomma);
                stelleNachKomma++;
            }
            textBox.Text = zahl.ToString();
        }

        private void Button_Click_Komma(object sender, RoutedEventArgs e)
        {
            if (stelleNachKomma == 0)
            {
                stelleNachKomma = 1;
            }
        }

        private void Button_Click_Plus(object sender, RoutedEventArgs e)
        {
            if(operation != Operation.Keine)
            {
                switch (operation)
                {
                    case Operation.Plus:
                        zahl = vorherigeZahl + zahl;
                        break;
                    case Operation.Minus:
                        zahl = vorherigeZahl - zahl;
                        break;
                    case Operation.Mal:
                        zahl = vorherigeZahl * zahl;
                        break;
                    case Operation.Geteilt:
                        zahl = vorherigeZahl / zahl;
                        break;
                }
            }
            vorherigeZahl = zahl;
            textBox.Text = zahl.ToString();
            zahl = 0.0;
            stelleNachKomma = 0;
            operation = Operation.Plus;
        }

        private void Button_Click_Gleich(object sender, RoutedEventArgs e)
        {
            switch(operation)
            {
                case Operation.Plus:
                    zahl = vorherigeZahl + zahl;
                    break;
                case Operation.Minus:
                    zahl = vorherigeZahl - zahl;
                    break;
                case Operation.Mal:
                    zahl = vorherigeZahl * zahl;
                    break;
                case Operation.Geteilt:
                    zahl = vorherigeZahl / zahl;
                    break;
            }
            textBox.Text = zahl.ToString();
        }
    }
}
